org.apache.cassandra.repair

## Class TreeResponse

- java.lang.Object
- - org.apache.cassandra.repair.TreeResponse

-     public class TreeResponse
      extends java.lang.Object

  Merkle tree response sent from given endpoint.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `endpoint`
    `MerkleTree` | `tree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeResponse(java.net.InetAddress endpoint, MerkleTree tree)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### endpoint

          public final java.net.InetAddress endpoint

    - #### tree

          public final MerkleTree tree

  - ### Constructor Detail

    - #### TreeResponse

          public TreeResponse(java.net.InetAddress endpoint,
                              MerkleTree tree)

Copyright © 2018 The Apache Software Foundation